Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Installation PHP 7
#1
Citation :#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: 2.1.5
#~ Url du site :
#~ Hébergeur / Soft : OVH mutu
#~ Informations Système :
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Bonjour,

Pour info.

J'ai essayé d'installer CMSMS 2.1.5 avec PHP 7 sur un mutu OVH, mais ça plante en cours d'install (page blanche).

J'étais un peu à la bourre et je suis juste repassée en 5.6 le temps de l'install, puis en 7 après et tout est OK.

Est-ce que d'autres confirment ?

Est-ce que ça peut être utile que je spécifie un peu plus ? (et dans ce cas je prendrai temps de reproduire)

A+

Virginie
Je fais pousser votre site web, vous faites grandir votre activité !
#2
Citation :J'étais un peu à la bourre et je suis juste repassée en 5.6 le temps de l'install, puis en 7 après et tout est OK.
déjà pour l'installe en 5.6, merci de renseigner Hébergements compatibles V2 avec le maximum d'information comme demandé

Pour PHP 7 essai de faire une réinstallation si tu peux en donnant les informations de blocage
(en général c'est "La page n'est pas redirigée correctement")
d’abord avec cmsms-2.x-install.php et si problème avec le jeux de fichiers cmsms-2.x-install.expanded.zip
J-C Etiemble Tutoriels v 2.2.x
#3
Offre "perso" d'OVH (mutu)

Installation avec PHP 7
cmsms-2.1.5-install.php
Version de l'installateur : 1.0.3.3


Étape 3 - Tests
Warnings : E_STRICT, E_DEPRECATED, fonctions désactivées : _dyuweyrj4, _dyuweyrj4r, dl

Étape 4 - Informations sur la configuration de base
Quand je clique sur "suivant", j'ai une page blanche (je ne sais pas afficher les messages d'erreur sans passer par le config.php).


Je ferai bien l'essai avec le jeux de fichiers cmsms-2.x-install.expanded.zip, mais je ne le trouve pas.
Je fais pousser votre site web, vous faites grandir votre activité !
#4
Salut Virginie,
Pour utiliser PHP 7 tu dois modifier le type de connexion à la BD
Change la valeur de :
$config['dbms'] = 'mysql';
en
$config['dbms'] = 'mysqli';
dans ton config.php
#5
Je n'ai pas de config.php.

Je suis en train de tester l'install simplifiée et je n'ai donc actuellement qu'un seul fichier : cmsms-2.1.5-install.php
Je fais pousser votre site web, vous faites grandir votre activité !
#6
Rien ne t'empêche de le créer avant avec cette seule ligne. L'installation complètera ce qui lui manque.
Mais effectivement cela n'est pas la solution la plus friendly Wink. Tu peux oublier cette solution, mais j'ai la quasi certitude que ton erreur provient de là.
A l'étape 4, qui est celle de la connexion à la BD, es-tu certaine d'avoir choisi le type MySQLi(4.1+) et pas MySQL(compatibilty) ?
#7
Merci Jean,

Citation :Rien ne t'empêche de le créer avant avec cette seule ligne.

J'avais tenté, mais ça ne change rien... ou alors j'ai m...é quelque part.

Citation :A l'étape 4, qui est celle de la connexion à la BD, es-tu certaine d'avoir choisi le type MySQLi(4.1+) et pas MySQL(compatibilty) ?

En fait, je n'avais rien choisi du tout vu que j'avais testé avec le mode minimaliste.

Je viens d'essayer en mode avancé, mais j'ai la même page blanche (avec et sans config.php).

A la racine de l'hébergement, j'ai un .ovhconfig, qui contient ceci :
app.engine=php
app.engine.version=7.0
http.firewall=none
environment=production
container.image=legacy

Si je supprime ce fichier, l'install se passe correctement (et je peux le remettre après, sans effet de bord apparent).


Cela dit, je n'ai pas absolument besoin d'installer CMSMS avec 7.0, mais j'aurai bien aimé voir si ça pouvait fonctionner en mutu OVH.

NB : c'est un serveur de dev, qui ne sert à rien d'autre en ce moment : je peux "jouer" sans grand risque.
Je fais pousser votre site web, vous faites grandir votre activité !
#8
Je te propose de tester en modifiant ces 2 lignes dans le .ovhconfig :
environment=development (tu verras les messages d'erreurs au lieu d'une page blanche, ne pas oublier de repasser en production le site terminé)
container.image=stable (recommandé sur le guide OVH)
#9
Bonsoir Jean et merci,

Le message obtenu est :

Parse error: Invalid numeric literal in phar:///home/wsovhoqywb/www/cmsms-2.1.5-install.php/lib/adodb_lite/adodb-time.inc.php on line 757

Ce qui ne me permet pas du tout de comprendre quel est le pb.

Si j'ai compris les posts trouvés sur le sujet, la conclusion est que l'install à partir du PHAR n'est pas possible et qu'il faut utiliser "cmsms-<version>-install.expanded.zip"... mais, heu, ça se trouve où ce truc là ?

Virginie
Je fais pousser votre site web, vous faites grandir votre activité !
#10
Virginie 12 a écrit :Bonsoir Jean et merci,

Le message obtenu est :

Parse error: Invalid numeric literal in phar:///home/wsovhoqywb/www/cmsms-2.1.5-install.php/lib/adodb_lite/adodb-time.inc.php on line 757

Ce qui ne me permet pas du tout de comprendre quel est le pb.

Si j'ai compris les posts trouvés sur le sujet, la conclusion est que l'install à partir du PHAR n'est pas possible et qu'il faut utiliser "cmsms-<version>-install.expanded.zip"... mais, heu, ça se trouve où ce truc là ?

Virginie

Bonjour Virginie,

c'est là : http://www.cmsmadesimple.org/downloads/ à droite dans "other packages"

Tiens-nous au courant, merci
#11
Citation :Parse error: Invalid numeric literal in phar:///home/wsovhoqywb/www/cmsms-2.1.5-install.php/lib/adodb_lite/adodb-time.inc.php on line 757
ligne 757 = 1900 => -2208988800,
j'ai eu ce bug sur une version 1.12.02 en passant à PHP 7. Il doit y avoir un problème sur les dates de adodb_lite.
mais comme 1.12 n'était pas compatible PHP 7 je n'ai rien dis.
a voir si tu as la même erreur avec cmsms-2.1.5-install.expanded.zip. qui se trouve aussi dans la forge Wink
J-C Etiemble Tutoriels v 2.2.x
#12
Bonsoir,

Je confirme : erreur identique avec l'install depuis cmsms-2.1.5-install.expanded

Parse error: Invalid numeric literal in /home/wsovhoqywb/www/cmsms_install/lib/adodb_lite/adodb-time.inc.php on line 757

Par acquis de conscience, j'ai testé l'install "extended" avec PHP 5.6 : c'est OK.

Je récapitule : sur un mutu d'OVH (perso), l'install n'est possible ni par le PHAR ni par le package "extended".
En revanche, si je passe sur PHP 7.0 (pas essayé 7.1) APRES l'install, ça ne semble pas poser de pb.
NB : j'ai seulement regardé sur les pages Simplex installées par défaut...

Dans l'immédiat, je récupère mon serveur de dev pour un projet client, mais si il y a d'autres trucs à tester, je pourrai reprendre après.

A+

Virginie
Je fais pousser votre site web, vous faites grandir votre activité !
#13
Citation :Je confirme : erreur identique avec l'install depuis cmsms-2.1.5-install.expanded
Parse error: Invalid numeric literal in /home/wsovhoqywb/www/cmsms_install/lib/adodb_lite/adodb-time.inc.php on line 757

quelle est la version de PHP 7.0 ?
j'avais palier à cette cette erreur en commentant les lignes 749 à 787
soit tout le if (empty($YRS)) $YRS = array( ... )
en test sur la version -install.expanded
c'est un problème sur les dates me semble t-il - A confirmer et je vais refaire un test sur la dernière version PHP 7.0.11
J-C Etiemble Tutoriels v 2.2.x
#14
7.0.10
Je fais pousser votre site web, vous faites grandir votre activité !
#15
j'ai fais un test en local sous debian avec PHP 7.0.11 + cmsms 2.1. 5 standard et pas de problème.
J-C Etiemble Tutoriels v 2.2.x


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)